# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
 {
   "key":"Icaros_is1",
   "name":"Icaros",
   "version":"3.3.2.0",
   "install_date":"2024-05-16 00:00:00",
   "install_location":"C:\\Program Files\\Icaros\\",
   "uninstall_string":"\"C:\\Program Files\\Icaros\\unins000.exe\"",
   "publisher":"Tabibito Technology",
   "system_component":0,
   "win64":true
  }
"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob("Icaros_*.exe")[0]
    # Installing the software
   
    install_exe_if_needed(bin_name,
        silentflags='/VERYSILENT',
        key='Icaros_is1',
        min_version=control.get_software_version(),
    )



